New metatrader 4 compatible indicators - page 88

Specter075000
146
Specter075000  

Dear mladen,

I try to bring this Indicator to run, unfortunately the indicator does not appear.

The only thing I see, is the window in which the indicator should be.

I have the libssa file copied to the library folder, then I´ve changed the number of bars. But it does not work.

Kann you help me? Many Thanks in advance !!!

Mladen Rakic
160098
Mladen Rakic  
Jim Clark:
Dear mladen,

I try to bring this Indicator to run, unfortunately the indicator does not appear.

The only thing I see, is the window in which the indicator should be.

I have the libssa file copied to the library folder, then I´ve changed the number of bars. But it does not work.

Kann you help me? Many Thanks in advance !!!

Two things that come in mind. First is that the libssa.dll is not copied into the correct folder. Go to File->Opend Data Folder->MQL4->libraries and copy it there. Second, check if you have enable Allow DLL imports in the indicators options

Specter075000
146
Specter075000  
mladen:
Two things that come in mind. First is that the libssa.dll is not copied into the correct folder. Go to File->Opend Data Folder->MQL4->libraries and copy it there. Second, check if you have enable Allow DLL imports in the indicators options

It´s magic.

Now it works !!!!

Many Thanks for the very fast reply and the great help.

Greetings

Bill L.
39
Bill L.  

Thanks dude. I will take a look and try.

But still, I hope Mladen can assist and convert the Period_Converter_Opt.mq4 to the latest build, whenever he is free and available.

Many thanks!

nbtrading:
Did you try this one : https://www.mql5.com/en/forum/183798/page19
Mladen Rakic
160098
Mladen Rakic  
bdunn:
Thanks dude. I will take a look and try.

But still, I hope Mladen can assist and convert the Period_Converter_Opt.mq4 to the latest build, whenever he is free and available.

Many thanks!

bdunn

Try that one out

They should produce the same results

Andreas Engelmann
428
Andreas Engelmann  

Both indicators aren't wokring on MT4 Build 600.

Tehy doesn't dislpay a graph and removing itself from the chart if one changes the period.

GlobalMarketTrend.mq4 - Speedy Share - upload your files here

GlobalMarketTrendMTF.mq4 - Speedy Share - upload your files here

-IXI-
44
-IXI-  

ِDear Mladen

In new version some indicators sometimes return array out of range error

and sometimes work without that error. What is the error source and how it can be solved?

Best,

Mladen Rakic
160098
Mladen Rakic  
engelmann:
Both indicators aren't wokring on MT4 Build 600.

Tehy doesn't dislpay a graph and removing itself from the chart if one changes the period.

GlobalMarketTrend.mq4 - Speedy Share - upload your files here

GlobalMarketTrendMTF.mq4 - Speedy Share - upload your files here

This is what it looks like when I use build 646

It works OK on time frame changes as well as on symbols changes. You will probably have to wait for metatrader 4 upgrade

Files:
gt.gif 85 kb
Mladen Rakic
160098
Mladen Rakic  
-IXI-:
ِDear Mladen

In new version some indicators sometimes return array out of range error

and sometimes work without that error. What is the error source and how it can be solved?

Best,

-IXI-

In that cases additional array access checks must be coded

Mladen Rakic
160098
Mladen Rakic  
mladen:
This is what it looks like when I use build 646 It works OK on time frame changes as well as on symbols changes. You will probably have to wait for metatrader 4 upgrade

Correction : in this new metatrader 4 it was causing a zero divide error when terminal id restarted and the indicator is attached to the chart. That is corrected (but in that case you have to change time frames or symbols to get values). New metatrader 4 obviously has one more thing that is not working the same way as before